<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+---------------------------------------------------------+
| Sitemap XML Module 2.00
| Author: SoulSmasher  2008-2009
| web: http://www.soulsmasher.net
| email: soulsmasher@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."sitemapxml/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."sitemapxml/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."sitemapxml/locale/English.php";
}

include INFUSIONS."sitemapxml/infusion_db.php";

// Infusion Information
$inf_title = $locale['smxml_13'];
$inf_version = "2.01";
$inf_developer = "SoulSmasher";
$inf_email = "soulsmasher@gmail.com";
$inf_weburl = "http://www.soulsmasher.net/";
$inf_description = $locale['smxml_14'];

$inf_folder = "sitemapxml"; // The folder in which the infusion resides.

// Delete any items not required here.
$inf_newtable[1] = DB_SITEMAPXML." (
	news_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	news_priority VARCHAR(3) NOT NULL DEFAULT '0.6',
	newscats_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '2',
	newscats_priority VARCHAR(3) NOT NULL DEFAULT '0.2',
	articlecats_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	articlecats_priority VARCHAR(3) NOT NULL DEFAULT '0.2',
	articles_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	articles_priority VARCHAR(3) NOT NULL DEFAULT '0.5',
	custompages_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	custompages_priority VARCHAR(3) NOT NULL DEFAULT '0.3',
	faqcats_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	faqcats_priority VARCHAR(3) NOT NULL DEFAULT '0.3',
	downloadcats_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '2',
	downloadcats_priority VARCHAR(3) NOT NULL DEFAULT '0.3',
	downloads_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	downloads_priority VARCHAR(3) NOT NULL DEFAULT '0.4',
	weblinkcats_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '2',
	weblinkcats_priority VARCHAR(3) NOT NULL DEFAULT '0.3',
	forums_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	forums_priority VARCHAR(3) NOT NULL DEFAULT '0.4',
	threads_changefreq TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	threads_priority VARCHAR(3) NOT NULL DEFAULT '0.6',
	threads_limit MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0'
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_SITEMAPXML." (news_changefreq, news_priority, newscats_changefreq, newscats_priority, articlecats_changefreq, articlecats_priority, articles_changefreq, articles_priority, custompages_changefreq, custompages_priority, faqcats_changefreq, faqcats_priority, downloadcats_changefreq, downloadcats_priority, downloads_changefreq, downloads_priority, weblinkcats_changefreq, weblinkcats_priority, forums_changefreq, forums_priority, threads_changefreq, threads_priority, threads_limit) VALUES ('0','0.6','2','0.2','0','0.2','1','0.5','1','0.3','1','0.3','2','0.3','1','0.4','2','0.3','1','0.4','0','0.6','0')";



$inf_adminpanel[1] = array(
	"title" => $locale['smxml_15'],
	"image" => "sitemap.gif",
	"panel" => "sitemap_admin.php",
	"rights" => "XM"
);

$inf_droptable[1] = DB_SITEMAPXML;
?>