<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sitemap_admin.php
| Version: 2.01
| Author: Arda Klda (SoulSmasher)
| Web: http://www.soulsmasher.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require "../../maincore.php";

require_once THEMES."templates/admin_header.php";
include INFUSIONS."sitemapxml/infusion_db.php";
require_once INFUSIONS."sitemapxml/sitemap_functions.php";

/* already included in sitemap_functions.php - sitemap_functions.php de zaten ekli
if (file_exists(INFUSIONS."sitemapxml/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."sitemapxml/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."sitemapxml/locale/English.php";
}*/
if (!checkrights("XM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

add_to_title(" - ".$locale['smxml_01']);

if (isset($_POST['save'])) {
$_POST['threads_limit'] = isNum($_POST['threads_limit'])?$_POST['threads_limit']:0; //deer illa ki bir say olmaldr - value has to be an integer

	$result=dbquery("UPDATE ".DB_SITEMAPXML." SET
	news_changefreq='".$_POST['news_changefreq']."', 
	news_priority='".$_POST['news_priority']."', 
	newscats_changefreq='".$_POST['newscats_changefreq']."', 
	newscats_priority='".$_POST['newscats_priority']."', 
	articlecats_changefreq='".$_POST['articlecats_changefreq']."', 
	articlecats_priority='".$_POST['articlecats_priority']."', 
	articles_changefreq='".$_POST['articles_changefreq']."', 
	articles_priority='".$_POST['articles_priority']."', 
	custompages_changefreq='".$_POST['custompages_changefreq']."', 
	custompages_priority='".$_POST['custompages_priority']."', 
	faqcats_changefreq='".$_POST['faqcats_changefreq']."', 
	faqcats_priority='".$_POST['faqcats_priority']."', 
	downloadcats_changefreq='".$_POST['downloadcats_changefreq']."', 
	downloadcats_priority='".$_POST['downloadcats_priority']."', 
	downloads_changefreq='".$_POST['downloads_changefreq']."', 
	downloads_priority='".$_POST['downloads_priority']."', 
	weblinkcats_changefreq='".$_POST['weblinkcats_changefreq']."', 
	weblinkcats_priority='".$_POST['weblinkcats_priority']."', 
	forums_changefreq='".$_POST['forums_changefreq']."', 
	forums_priority='".$_POST['forums_priority']."', 
	threads_changefreq='".$_POST['threads_changefreq']."', 
	threads_priority='".$_POST['threads_priority']."', 
	threads_limit='".$_POST['threads_limit']."'
	");
	
	if ($result) {
	redirect(FUSION_SELF.$aidlink."&update=settingsok");
	} else {
	redirect(FUSION_SELF.$aidlink."&update=settingsnotok");
	}
}


if (isset($_GET['force']) && $_GET['force']==1) {
	if (make_sitemapxml()) {
	redirect(FUSION_SELF.$aidlink."&update=ok");
	} else {
	redirect(FUSION_SELF.$aidlink."&update=notok");
	}
}


if (isset($_GET['update'])) {
	if ($_GET['update']=="ok") {
	opentable($locale['smxml_06']);
	echo $locale['smxml_07'];
	closetable();
	} else if ($_GET['update']=="notok"){
	opentable($locale['smxml_08']);
	echo $locale['smxml_09'];
	closetable();
	} else if ($_GET['update']=="settingsok"){
	opentable($locale['smxml_06']);
	echo $locale['smxml_17'];
	closetable();
	} else if ($_GET['update']=="settingsok"){
	opentable($locale['smxml_08']);
	echo $locale['smxml_18'];
	closetable();
	}
}

opentable($locale['smxml_01']);
echo "<div style='width: 70%; text-align: center; margin: 0px auto;'>\n";
echo $locale['smxml_02'].showdate("longdate",filemtime(BASEDIR."sitemap.xml"))."<br />\n";
echo "<a href='".BASEDIR."sitemap.xml' target='_blank'>".$locale['smxml_03']."</a><br />";
echo "<a href='".FUSION_SELF.$aidlink."&force=1'>".$locale['smxml_04']."</a><br /><br />\n";

echo "<a href='http://www.sitemapwriter.com/notify.php?crawler=all&url=".$settings['siteurl']."sitemap.xml' target='_blank'>".$locale['smxml_05']."</a>\n";

echo "<hr style='margin: 5px;>'";

echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."&update=settings'>";
echo "<table cellpadding='0' cellspacing='0' border='0' width='100%' align='center'>";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_20']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("news_priority",$sitemapsettings['news_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_21']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("news_changefreq",$sitemapsettings['news_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_22']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("newscats_priority",$sitemapsettings['newscats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_23']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("newscats_changefreq",$sitemapsettings['newscats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_24']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("articlecats_priority",$sitemapsettings['articlecats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_25']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("articlecats_changefreq",$sitemapsettings['articlecats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_26']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("articles_priority",$sitemapsettings['articles_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_27']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("articles_changefreq",$sitemapsettings['articles_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_28']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("custompages_priority",$sitemapsettings['custompages_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_29']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("custompages_changefreq",$sitemapsettings['custompages_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_30']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("faqcats_priority",$sitemapsettings['faqcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_31']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("faqcats_changefreq",$sitemapsettings['faqcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_32']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("downloadcats_priority",$sitemapsettings['downloadcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_33']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("downloadcats_changefreq",$sitemapsettings['downloadcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_34']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("downloads_priority",$sitemapsettings['downloads_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_35']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("downloads_changefreq",$sitemapsettings['downloads_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_36']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("weblinkcats_priority",$sitemapsettings['weblinkcats_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_37']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("weblinkcats_changefreq",$sitemapsettings['weblinkcats_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_38']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("forums_priority",$sitemapsettings['forums_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_39']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("forums_changefreq",$sitemapsettings['forums_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'>".$locale['smxml_40']."</td>\n";
echo "<td align='left' width='50%' class='tbl1'>".makepriorityform("threads_priority",$sitemapsettings['threads_priority'])."</td></tr>\n";
echo "<tr><td align='left' width='50%' class='tbl2'>".$locale['smxml_41']."</td>\n";
echo "<td align='left' width='50%' class='tbl2'>".makefrequencyform("threads_changefreq",$sitemapsettings['threads_changefreq'])."</td></tr>\n";

echo "<tr><td align='left' class='tbl1' width='50%'><small>".$locale['smxml_42']."</small></td>";
echo "<td align='left' class='tbl1' width='50%'><input type='text' name='threads_limit' value='".$sitemapsettings['threads_limit']."' class='textbox' style='width: 150px;' /></td></tr>\n";

echo "<tr><td align='center' colspan='2' class='tbl2' width='100%'><input type='submit' name='save' value='".$locale['smxml_43']."' class='button' /></td></tr>";

echo "</table></form>\n";

echo "</div>";
closetable();

require_once THEMES."templates/footer.php";
?>